# giteapc: version=1

PREFIX ?= $(GITEAPC_PREFIX)
VERSION_BINUTILS := 2.37
VERSION_GCC := 11.2.0

-include giteapc-config.make

configure:
	@ cd ./scripts/binutils && ./configure.sh --version=$(VERSION_BINUTILS)
	@ cd ./scripts/gcc && ./configure.sh --version=$(VERSION_GCC)

build:
	@ cd ./scripts/binutils && ./build.sh
	@ cd ./scripts/gcc && ./build.sh

install:
	@ cd ./scripts/binutils && ./install.sh --prefix="$(PREFIX)"
	@ cd ./scripts/gcc && ./install.sh --prefix="$(PREFIX)"

uninstall:
	@ cd ./scripts/binutils && ./uninstall.sh --prefix="$(PREFIX)"
	@ cd ./scripts/gcc && ./uninstall.sh --prefix="$(PREFIX)"

.PHONY: configure build install uninstall
